// AlignDlg.cpp : implementation file
//

#include "stdafx.h"
#include <afxtempl.h>
#include "crobot.h"
#include "crobotinternet.h"
#include "HotOffThePress.h"
#include "UpdatesDlg.h"
#include "DeviceIDDlg.h"
#include "SouceDlg.h"
#include "Device.h"
#include "DownloadDlg.h"
#include "FindNumDlg.h"
#include "FindText.h"
#include "CalibNumDlg.h"
#include "AlignDlg.h"
#include "Keywords.h"
#include "WebNumDial.h"
#include "FindText.h"
#include "WebTextDial.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAlignDlg property page

IMPLEMENT_DYNCREATE(CAlignDlg, CPropertyPage)

CAlignDlg::CAlignDlg() : CPropertyPage(CAlignDlg::IDD)
{
	//{{AFX_DATA_INIT(CAlignDlg)
		// NOTE: the ClassWizard will add member initialization here
	//}}AFX_DATA_INIT
}

CAlignDlg::~CAlignDlg()
{
}

void CAlignDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAlignDlg)
	DDX_Control(pDX, IDC_ALIGNFLEFT, m_btFLeft);
	DDX_Control(pDX, IDC_ALIGNFRIGHT, m_btFRight);
	DDX_Control(pDX, IDC_ENTERALIGN, m_Enter);
	DDX_Control(pDX, IDC_ALIGNRIGHT, m_btRight);
	DDX_Control(pDX, IDC_ALIGNLEFT, m_btLeft);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAlignDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CAlignDlg)
	ON_BN_CLICKED(IDC_ALIGNLEFT, OnAlignleft)
	ON_BN_CLICKED(IDC_ALIGNRIGHT, OnAlignright)
	ON_BN_CLICKED(IDC_ENTERALIGN, OnEnteralign)
	ON_BN_CLICKED(IDC_ALIGNFLEFT, OnAlignfleft)
	ON_BN_CLICKED(IDC_ALIGNFRIGHT, OnAlignfright)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAlignDlg message handlers

BOOL CAlignDlg::OnKillActive() 
{
	BOOL RetVal = CPropertyPage::OnKillActive();

	
	CDevice* pDev = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
	pDev->AlignMode( false );
	
	return RetVal;
}

BOOL CAlignDlg::OnSetActive() 
{
	BOOL RetVal = CPropertyPage::OnSetActive();
	
	m_Enter.EnableWindow( true );
	m_btRight.EnableWindow( false );
	m_btLeft.EnableWindow( false );
	m_btFRight.EnableWindow( false );
	m_btFLeft.EnableWindow( false );

	return RetVal;
}

void CAlignDlg::OnAlignleft() 
{
	CDevice* pDev = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
	pDev->AlignLeft(  );
}

void CAlignDlg::OnAlignright() 
{
	CDevice* pDev = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
	pDev->AlignRight(  );
}

void CAlignDlg::OnEnteralign() 
{
	m_Enter.EnableWindow( false );
	m_btRight.EnableWindow( true );
	m_btLeft.EnableWindow( true );
	m_btFRight.EnableWindow( true );
	m_btFLeft.EnableWindow( true );
}

void CAlignDlg::OnAlignfleft() 
{
	CDevice* pDev = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
	pDev->AlignFLeft(  );
}

void CAlignDlg::OnAlignfright() 
{
	CDevice* pDev = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
	pDev->AlignFRight(  );
}
