// SouceDlg.cpp : implementation file
//

#include "stdafx.h"
#include <sys/types.h>
#include <sys/timeb.h>
#include <time.h>
#include <afxtempl.h>
#include "crobot.h"
#include "crobotinternet.h"
#include "HotOffThePress.h"
#include "DeviceIDDlg.h"
#include "SouceDlg.h"
#include "TimeTickerDlg.h"
#include "NewzDlg.h"
#include "FinancialDlg.h"
#include "AlertsDlg.h"
#include "UpdatesDlg.h"
#include "NoDeviceDlg.h"
#include "Device.h"
#include "SouceDlg.h"
#include "FindNumDlg.h"
#include "CalibNumDlg.h"
#include "YahooTicker.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSouceDlg property page

IMPLEMENT_DYNCREATE(CSouceDlg, CPropertyPage)

CSouceDlg::CSouceDlg() : CPropertyPage(CSouceDlg::IDD)
{
	//{{AFX_DATA_INIT(CSouceDlg)
	m_URL = _T("");
	//}}AFX_DATA_INIT
}

CSouceDlg::~CSouceDlg()
{
}

void CSouceDlg::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSouceDlg)
	DDX_Text(pDX, IDC_TICKERURL, m_URL);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSouceDlg, CPropertyPage)
	//{{AFX_MSG_MAP(CSouceDlg)
	ON_BN_CLICKED(IDC_VIEWPAGE, OnViewpage)
	//}}AFX_MSG_MAP
	ON_STN_CLICKED(65535, OnStnClicked65535)
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSouceDlg message handlers

BOOL CSouceDlg::OnKillActive() 
{
	BOOL RetVal = CPropertyPage::OnKillActive();
	
	// If successfully killed (i.e. validation and DDE OK), copy result to device
	if (RetVal)
	{
		// Validate data - in your dreams

		// Set up  data
		CDevice* pTicker = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
		pTicker->m_strURL = m_URL;
	}

	return RetVal;
}

BOOL CSouceDlg::OnSetActive() 
{
	BOOL RetVal = CPropertyPage::OnSetActive();
	
	// Set up  data
	CDevice* pTicker = (CDevice*) ((CHotOffThePressApp*)AfxGetApp())->m_pCurrDev;
	m_URL = pTicker->m_strURL;
	
	this->UpdateData( false );
	
	return RetVal;
}

void CSouceDlg::OnViewpage() 
{
	this->UpdateData( true );

	// add http:// if needed
	m_URL.TrimLeft();
	m_URL.TrimRight();
	if (m_URL.Find(":") == -1) 
	{
		if (m_URL.Left(1) == "/")
			m_URL = "http:" + m_URL;
		else
			m_URL = "http://" + m_URL;
	} // End if

	this->UpdateData( false );

	ShellExecute(NULL, NULL, m_URL, NULL, NULL, SW_SHOWNORMAL );
}

void CSouceDlg::OnStnClicked65535()
{
	// TODO: Add your control notification handler code here
}
